Bug 477234 - libdrm-2.4.3-0.1.fc11.x86_64.rpm does not allow gnome/X to start up
libdrm-2.4.3-0.1.fc11.x86_64.rpm does not allow gnome/X to start up
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: libdrm (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-19 14:10 EST by Tom London
Modified: 2009-11-05 14:19 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-11-05 14:19:46 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
More complete snippet from /var/log/messages with libdrm/X failing (236.24 KB, text/plain)
2008-12-20 13:23 EST, Tom London
no flags Details
Xorg.0.log generated when X fails to start (26.42 KB, text/plain)
2008-12-20 13:25 EST, Tom London
no flags Details
Xorg.0.log after this morning updates (13.22 KB, text/plain)
2008-12-22 09:38 EST, antonio montagnani
no flags Details

  None (edit)
Description Tom London 2008-12-19 14:10:22 EST
Description of problem:
libdrm-2.4.3-0.1.fc11.x86_64.rpm seems to "break" X/gdm/????

Sorry, but my efforts to restore have erased the crumbs.

Is this known? Should I reinstall and recreate the trail?

Version-Release number of selected component (if applicable):
libdrm-2.4.3-0.1.fc11.x86_64.rpm

How reproducible:


Steps to Reproduce:
1. install updates.
2. Black screen of death after plymouth
3. Power reset/reboot to recover; revert libdrm.
  
Actual results:


Expected results:


Additional info:
Comment 1 Tom London 2008-12-19 14:10:47 EST
Sorry, forgot to mention: Thinkpad X61, intel 965 graphics.
Comment 2 Tom London 2008-12-19 14:49:44 EST
I'm not sure, but this may have something to do with symbolic links maybe...:

/usr/bin/glx_tfp_test: error while loading shared libraries: libdrm.so.2: cannot open shared object file: No such file or directory

and

(II) Loading /usr/lib64/xorg/modules/extensions//libdri.so
dlopen: libdrm.so.2: cannot open shared object file: No such file or directory
(EE) Failed to load /usr/lib64/xorg/modules/extensions//libdri.so
(II) UnloadModule: "dri"

I think I get this when I revert to libdrm-2.4.0-0.21.fc10.x86_64.  Believe I 'fixed this' by running /sbin/ldconfig manually.
Comment 3 Tom London 2008-12-20 13:22:17 EST
There is a problem here.....

Here are lines from /var/log/messages after I updated libdrm and logged out:

Dec 20 09:58:58 tlondon gdm-simple-slave[4959]: DEBUG(+): GdmSlave: Creating proxy for /org/gnome/DisplayManager/Display1
Dec 20 09:58:58 tlondon gdm-simple-slave[4959]: DEBUG(+): GdmSlave: Got display id: /org/gnome/DisplayManager/Display1
Dec 20 09:58:58 tlondon gdm-simple-slave[4959]: DEBUG(+): GdmSignalHandler: Adding handler 11: signum=10 0x40c840
Dec 20 09:58:58 tlondon gdm-simple-slave[4959]: DEBUG(+): GdmServer: Starting X server process: /usr/bin/Xorg :0 -nr -verbose -auth /var/run/gdm/auth-for-gdm-IS7nMQ/database -nolisten tcp vt1
Dec 20 09:58:58 tlondon gdm-simple-slave[4964]: DEBUG(+): GdmServer: Opening logfile for server /var/log/gdm/:0.log
Dec 20 09:58:58 tlondon gdm-simple-slave[4959]: DEBUG(+): GdmServer: Started X server process 4964 - waiting for READY
Dec 20 09:58:58 tlondon gdm-simple-slave[4959]: DEBUG(+): GdmSimpleSlave: Started X server
Dec 20 09:58:59 tlondon gdm-simple-slave[4959]: DEBUG(+): GdmServer: child (pid:4964) done (status:127)
Dec 20 09:58:59 tlondon gdm-simple-slave[4959]: DEBUG(+): GdmSimpleSlave: server exited with code 127#012
Dec 20 09:58:59 tlondon gdm-simple-slave[4959]: DEBUG(+): slave finished
Dec 20 09:58:59 tlondon gdm-simple-slave[4959]: DEBUG(+): GdmSimpleSlave: Stopping simple_slave
Dec 20 09:58:59 tlondon gdm-simple-slave[4959]: DEBUG(+): GdmSlave: Stopping slave
Dec 20 09:58:59 tlondon gdm-simple-slave[4959]: DEBUG(+): GdmSlave: Disconnected from display
Dec 20 09:58:59 tlondon gdm-simple-slave[4959]: DEBUG(+): GdmSignalHandler: Removing handler 10: signum=11 0x40c840
Dec 20 09:58:59 tlondon gdm-simple-slave[4959]: DEBUG(+): GdmSlave: Stopping slave
Dec 20 09:58:59 tlondon gdm-simple-slave[4959]: DEBUG(+): GdmSignalHandler: Finalizing signal handler
Dec 20 09:58:59 tlondon gdm-simple-slave[4959]: DEBUG(+): Slave finished
Dec 20 09:58:59 tlondon gdm-binary[2473]: WARNING: GdmDisplay: display lasted 0.728944 seconds

This appears to repeat over and over again with the display "number" incrementing from 0, 1, 2, ....

I attach a more complete snippet of /var/log/messages, as well as one of the Xorg.0.log files.
Comment 4 Tom London 2008-12-20 13:23:22 EST
Created attachment 327548 [details]
More complete snippet from /var/log/messages with libdrm/X failing

entries from /var/log/messages when X fails to start.
Comment 5 Tom London 2008-12-20 13:25:19 EST
Created attachment 327550 [details]
Xorg.0.log generated when X fails to start

Xorg.0.log when server fails to "start".

There are several of these, Xorg.[012345].log, appears mostly the same.....

Reverting libdrm "makes it work for me".

Again, system is Thinkpad X61 w/ Intel 965 graphics.

Also, I have compiz enabled....
Comment 6 Levente Farkas 2008-12-20 17:17:03 EST
the same problem here with hp nx6125 ati radeon xpress 200 i386.
please fix it asap.
Comment 7 antonio montagnani 2008-12-20 17:31:37 EST
same with intel driver and i386 system
Comment 8 Tom London 2008-12-21 15:25:15 EST
OK, with updates from today's rawhide (and/or koji), all seems to work for me (Thinkpad X61, Intel 965 graphics).

Here are the packages that I updated today:

Dec 21 09:59:01 Updated: libdrm-2.4.3-0.1.fc11.x86_64
Dec 21 09:59:09 Updated: mesa-dri-drivers-7.3-0.2.fc11.x86_64
Dec 21 09:59:09 Updated: mesa-libGL-7.3-0.2.fc11.x86_64
Dec 21 09:59:10 Updated: mesa-libGLU-7.3-0.2.fc11.x86_64
Dec 21 09:59:26 Updated: xorg-x11-drv-i810-2.5.99.1-0.1.fc11.x86_64
Dec 21 10:00:03 Updated: glx-utils-7.3-0.2.fc11.x86_64
Dec 21 10:00:11 Installed: libdrm-devel-2.4.3-0.1.fc11.x86_64
Dec 21 10:00:11 Installed: libXdamage-devel-1.1.1-5.fc11.x86_64
Dec 21 10:00:12 Installed: libXxf86vm-devel-1.0.2-1.fc10.x86_64
Dec 21 10:00:22 Updated: mesa-libGL-devel-7.3-0.2.fc11.x86_64
Dec 21 10:00:24 Updated: mesa-libGLU-devel-7.3-0.2.fc11.x86_64
and
kernel-2.6.28-0.140.rc9.git1.fc11.x86_64

Also, updated this yesterday:

Dec 20 16:45:47 Installed: libXvMC-1.0.4-5.fc10.x86_64

Not sure which of these (or others) made this work.....

I do notice a difference in behavior: graphical login screen (gdm and friends) now come up in higher resolution (believe 1400x1050), and the background does not flicker and resize several times as gnome comes up.  The same background stays displayed.  I had to down-res to 1280x1024 since my monitor wasn't doing a perfect job displaying 1400x1050.

This is quite good!!!!!
Comment 9 Sachin Garg 2008-12-21 15:45:21 EST
works for me too .. i965 and i386
Comment 10 antonio montagnani 2008-12-22 00:40:25 EST
works also for me with i386 and and driver intel.
Comment 11 antonio montagnani 2008-12-22 09:05:31 EST
after this morning updates my system is not working any more again:
 I reverted to a previous release of intel-driver: no luck.
I tried to revert to a previous release of libdrm but due to dependency problems I didn't succeed.
No idea how to proceed.
Comment 12 antonio montagnani 2008-12-22 09:38:50 EST
Created attachment 327647 [details]
Xorg.0.log after this morning updates

I don't know if libdrm is causing this...
Comment 13 antonio montagnani 2008-12-22 14:42:06 EST
system is o.k and working reverting to:

xorg-x11-drv-apm-1.2.0-1.fc9.i386.rpm
xorg-x11-drv-ast-0.85.0-1.fc9.i386.rpm
xorg-x11-drv-ati-6.9.0-63.fc11.i386.rpm
xorg-x11-drv-chips-1.2.0-1.fc9.i386.rpm
xorg-x11-drv-cirrus-1.2.0-1.fc9.i386.rpm
xorg-x11-drv-evdev-2.1.0-1.fc11.i386.rpm
xorg-x11-drv-fbdev-0.3.1-7.fc9.i386.rpm
xorg-x11-drv-geode-2.11.0-1.fc11.i386.rpm
xorg-x11-drv-glint-1.2.1-1.fc9.i386.rpm
xorg-x11-drv-i740-1.2.0-1.fc9.i386.rpm
xorg-x11-drv-i810-2.5.99.1-0.1.fc11.i386.rpm
xorg-x11-drv-keyboard-1.3.0-3.fc9.i386.rpm
xorg-x11-drv-mach64-6.8.0-1.fc10.i386.rpm
xorg-x11-drv-neomagic-1.2.0-1.fc9.i386.rpm
xorg-x11-drv-nv-2.1.12-6.fc10.i386.rpm
xorg-x11-drv-r128-6.8.0-1.fc10.i386.rpm
xorg-x11-drv-s3-0.6.0-2.fc10.i386.rpm
xorg-x11-drv-s3virge-1.10.0-1.fc9.i386.rpm
xorg-x11-drv-savage-2.2.0-2.fc9.i386.rpm
xorg-x11-drv-sis-0.10.0-1.fc9.i386.rpm
xorg-x11-drv-synaptics-0.99.3-1.fc11.i386.rpm
xorg-x11-drv-tdfx-1.4.0-1.fc9.i386.rpm
xorg-x11-drv-trident-1.3.0-1.fc9.i386.rpm
xorg-x11-drv-tseng-1.2.0-1.fc9.i386.rpm
xorg-x11-drv-vesa-2.0.0-1.fc10.i386.rpm
xorg-x11-drv-vmmouse-12.6.2-1.fc11.i386.rpm
xorg-x11-server-common-1.5.3-6.fc10.i386.rpm
xorg-x11-server-Xorg-1.5.3-6.fc10.i386.rpm

I do not know what is causing the problem, and if problem will start
also on other systems: no time for experiments now, someone else will
carry out such tests.
Comment 14 Levente Farkas 2008-12-24 04:25:41 EST
my system still not working (in the last two weeks) even with the latest libdrm and the rawhide's xorg ati package fail because it has different xorg version then the other packages.
even the downgrade didn't help he. at least if someone tell me exactly which package to downgrade...?
Comment 15 Matěj Cepl 2009-01-07 18:41:55 EST
And here we are with backtrace:

Backtrace:
0: /usr/bin/X(xorg_backtrace+0x3b) [0x812d07b]
1: /usr/bin/X(xf86SigHandler+0x51) [0x80bf9f1]
2: [0x110400]
3: /usr/bin/X(xf86CrtcSetModeTransform+0x1e7) [0x80e7527]
4: /usr/bin/X(xf86CrtcSetMode+0x36) [0x80e7eb6]
5: /usr/lib/xorg/modules/drivers//intel_drv.so(i830GetLoadDetectPipe+0x15d) [0x1df7cd]
6: /usr/lib/xorg/modules/drivers//intel_drv.so [0x1fd22d]
7: /usr/bin/X(xf86ProbeOutputModes+0x1a0) [0x80e8270]
8: /usr/bin/X(xf86InitialConfiguration+0x132) [0x80e8df2]
9: /usr/lib/xorg/modules/drivers//intel_drv.so [0x1e4f09]
10: /usr/lib/xorg/modules/drivers//intel_drv.so [0x1e7385]
11: /usr/bin/X(InitOutput+0xe13) [0x80a8813]
12: /usr/bin/X(main+0x1e1) [0x806b5d1]
13: /lib/libc.so.6(__libc_start_main+0xe5) [0x71f6d5]
14: /usr/bin/X [0x806ac61]

I think you could try to fiddle with xorg-x11-drv-i810 and xorg-x11-server-Xorg -- that looks like where are fun happens.
Comment 16 Bug Zapper 2009-06-09 06:19:01 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 17 Matěj Cepl 2009-11-05 13:21:13 EST
Since this bugzilla report was filed, there have been several major updates in various components of the Xorg system, which may have resolved this issue. Users who have experienced this problem are encouraged to upgrade their system to the latest version of their packages. For packages from updates-testing repository you can use command

yum upgrade --enablerepo='*-updates-testing'

Alternatively, you can also try to test whether this bug is reproducible with the upcoming Fedora 12 distribution by downloading LiveMedia of F12 Beta available at http://alt.fedoraproject.org/pub/alt/nightly-composes/ . By using that you get all the latest packages without need to install anything on your computer. For more information on using LiveMedia take a look at https://fedoraproject.org/wiki/FedoraLiveCD .

Please, if you experience this problem on the up-to-date system, let us now in the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[This is a bulk message for all open Fedora Rawhide Xorg-related bugs. I'm adding myself to the CC list for each bug, so I'll see any comments you make after this and do my best to make sure every issue gets proper attention.]
Comment 18 Tom London 2009-11-05 14:19:46 EST
Closing as fixed in Rawhide.

Note You need to log in before you can comment on or make changes to this bug.